from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XPropertyControlObserver(Protocol):
    def focusGained(self, Control: XPropertyControl) -> None: ...
    def valueChanged(self, Control: XPropertyControl) -> None: ...
